Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231712 - Missing "BuildRequires: gnutls-devel" in evolution-data-server.spec (evolution-data-server-1.0.2-13.el4.src.rpm)
Summary: Missing "BuildRequires: gnutls-devel" in evolution-data-server.spec (evolutio...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: evolution-data-server
Version: 4.4
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-10 15:40 UTC by Vesselin Kolev
Modified: 2007-11-17 01:14 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-01 17:41:58 UTC
Target Upstream Version:


Attachments (Terms of Use)
Patch for evolution-data-server.spec (deleted)
2007-03-10 15:40 UTC, Vesselin Kolev
no flags Details | Diff

Description Vesselin Kolev 2007-03-10 15:40:01 UTC
Description of problem:
Missing "BuildRequires: gnutls-devel" in evolution-data-server.spec

Version-Release number of selected component (if applicable):
1.0.2-13.el4

How reproducible:
Always

Steps to Reproduce:
1. rpm -ihv evolution-data-server-1.0.2-13.el4.src.rpm
2. rpmbuild -ba evolution-data-server.spec

  
Actual results:
gcc -shared  .libs/e-gw-connection.o .libs/e-gw-container.o .libs/e-gw-item.o
.libs/e-gw-message.o .libs/e-gw-filter.o  -pthread -lgnome-2 /usr/lib/libpopt.so
-lbonobo-2 -lgconf-2 -lgnomevfs-2 -lbonobo-activation -lORBit-2 -lgmodule-2.0
-ldl -lgthread-2.0 -lsoup-2.2 -lgnutls -lgcrypt -lgpg-error /usr/lib/libxml2.so
-lpthread -lz -lm -lglib-2.0  -m32 -march=i386 -mtune=pentium4
-Wl,--export-dynamic -Wl,-soname -Wl,libegroupwise.so.6 -o
.libs/libegroupwise.so.6.0.0
*** /usr/bin/ld: cannot find -lgnutls ***


Expected results:
gcc -shared  .libs/e-gw-connection.o .libs/e-gw-container.o .libs/e-gw-item.o
.libs/e-gw-message.o .libs/e-gw-filter.o  -pthread -lgnome-2 /usr/lib/libpopt.so
-lbonobo-2 -lgconf-2 -lgnomevfs-2 -lbonobo-activation -lORBit-2 -lgmodule-2.0
-ldl -lgthread-2.0 -lsoup-2.2 /usr/lib/libgnutls.so -lgcrypt -lgpg-error
/usr/lib/libxml2.so -lpthread -lz -lm -lglib-2.0  -m32 -march=i386
-mtune=pentium4 -Wl,--export-dynamic -Wl,-soname -Wl,libegroupwise.so.6 -o
.libs/libegroupwise.so.6.0.0
(cd .libs && rm -f libegroupwise.so.6 && ln -s libegroupwise.so.6.0.0
libegroupwise.so.6)
(cd .libs && rm -f libegroupwise.so && ln -s libegroupwise.so.6.0.0
libegroupwise.so)
...


Additional info:
/usr/lib/libgnutls.so is a part of gnutls-devel rpm package:

rpm -ql gnutls-devel
[skip]
/usr/lib/libgnutls.so
[skip]

Comment 1 Vesselin Kolev 2007-03-10 15:40:01 UTC
Created attachment 149773 [details]
Patch for evolution-data-server.spec

Comment 3 RHEL Product and Program Management 2007-05-09 05:47:56 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 RHEL Product and Program Management 2007-08-01 17:41:59 UTC
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 


Note You need to log in before you can comment on or make changes to this bug.